(* Time-stamp: <modified the 15/04/2021 (at 11:46) by Erwan Jahier> *)

(** Storing process variables values.

nb: in  order to be closer  to the SS community  wordings, this module
   could (should?)  be named Configuration (or maybe just Conf).
*)
type 'v t

val init: unit -> 'v t

(** [set env process_id var_value] *)
val set: 'v t -> string -> 'v -> 'v t

(** [get env process_id] *)
val get: 'v t -> string -> 'v

(** Use registered copy function to  returns an hopefully (if the user
   provided copy state function is correct) fresh copy *)
val get_copy: 'v t -> string -> 'v
